/* src/options.h.  Generated automatically by configure.  */
/*
 * Copyright (c) 1992, Brian Berliner and Jeff Polk
 * Copyright (c) 1989-1992, Brian Berliner
 * 
 * You may distribute under the terms of the GNU General Public License as
 * specified in the README file that comes with the CVS source distribution.
 * 
 * This file holds (most of) the configuration tweaks that can be made to
 * customize CVS for your site.  CVS comes configured for a typical SunOS 4.x
 * environment.  The comments for each configurable item are intended to be
 * self-explanatory.  All #defines are tested first to see if an over-riding
 * option was specified on the "make" command line.
 * 
 * If special libraries are needed, you will have to edit the Makefile.in file
 * or the configure script directly.  Sorry.
 */

/*
 * Externs that are included in libc, but are used frequently enough
 * to warrant defining here.
 */
#ifndef STDC_HEADERS
extern void exit ();
#endif

/*
 * In various places, CVS waits a tick of the filesystem clock to make
 * sure that files have different timestamps. This was coded as sleep (1).
 * For some filesystems (eg FAT, FAT32) 2 seconds are needed.
 * I've defined FILESYSTEM_TICK in windows-NT/options.h,
 * and in src/cvs.h a default of 1 second is defined.
 *
 * I'm pretty sure that CVS doesn't do enough waiting, but it's too
 * hard for me to figure out where to add more.
 * See sanity.sh [FILESYSTEM_TICK] for more information.
 *
 * Well, HPFS needs that too.
 */
#ifndef FILESYSTEM_TICK
#define FILESYSTEM_TICK 2
/* #define FILESYSTEM_TICK 1 */
#endif

/*
 * V 1.11.5 -- AAB 01/02/2003
 */

/*
 * The default umask to use when creating or otherwise setting file or
 * directory permissions in the repository.  Must be a value in the
 * range of 0 through 0777.  For example, a value of 002 allows group
 * rwx access and world rx access; a value of 007 allows group rwx
 * access but no world access.  This value is overridden by the value
 * of the CVSUMASK environment variable, which is interpreted as an
 * octal number.
 */
#ifndef UMASK_DFLT
#define	UMASK_DFLT	002
#endif
/* Directory used for storing temporary files, if not overridden by
   environment variables or the -T global option.  There should be little
   need to change this (-T is a better mechanism if you need to use a
   different directory for temporary files).  */
#ifndef TMPDIR_DFLT
#define	TMPDIR_DFLT	"/tmp"
#endif

/*
 * The default editor to use, if one does not specify the "-e" option
 * to cvs, or does not have an EDITOR environment variable.  I set
 * this to just "vi", and use the shell to find where "vi" actually
 * is.  This allows sites with /usr/bin/vi or /usr/ucb/vi to work
 * equally well (assuming that your PATH is reasonable).
 */
#ifndef EDITOR_DFLT
#define	EDITOR_DFLT	   "e"
#endif
